// 全本rmb购买
<template>
  <x-prompt :visible="visible" @close="close">
    <div class="head">全本订购提醒</div>
    <div class="body">
      <div class="book-name single-line red" v-if="!showBookName">《{{book_name}}》</div>
      <div class="fee">本书价格：
        <span class="red">{{fee/100}}</span>元</div>
    </div>
    <div class="confirm"
         @click="confirm">购买本书</div>
  </x-prompt>
</template>
<script>
import prompt from "../prompt.vue";
export default {
  components: { "x-prompt": prompt },
  data() {
    return {
      showBookName: !!window.options.hide_book_name
    };
  },
  methods: {
    close() {
      this.reject('close');
    }
  }
};
</script>
<style lang="scss">

</style>